/*
 * tableme.h - -me macros table and other explicit troff command strings
 *		Release 1.0a	August 1988
 *		Release 2.0	January 1990
 *
 * Copyright 1988, 1989, 1990  Beverly A.Erlebacher
 * erlebach@cs.toronto.edu    ...uunet!utai!erlebach
 *
 */

/* 
 * miscellaneous commands, described in texi2roff.h 
 */
struct misccmds mecmds = { ".nr _- 0", "\n.pp\n", "\n.ip\n", "", ""};

struct tablerecd metable[] = {
    "@!",		"",	"",		"",	"",	ESCAPED,
    "@'",		"",	"'",		"",	"",	ESCAPED,
    "@*",		"",	"\n.br\n",	"",	"",	ESCAPED,
    "@.",		"",	"\\&.",		"",	"",	ESCAPED,
    "@:",		"",	"",		"",	"",	ESCAPED,
    "@?",		"",	"",		"",	"",	ESCAPED,
    "@|",		"",	"",		"",	"",	ESCAPED,
    "@@",		"",	"@",		"",	"",	ESCAPED,
    "@ ",		"",	" ",		"",	"",	ESCAPED,
    "@\n",		"",	"\n",		"",	"",	ESCAPED,
    "@AA{",		"}",	"AA",		"",	"",	CHAR,
    "@AE{",		"}",	"\\(AE",	"",	"",	CHAR,
    "@Arrow",		"\n",	"\\(rh",	"\n",	"",	CHAR,
    "@H{",		"}",	"",		"",	"\\*:",	INPARA,
    "@HEADINGSon",	"\n",	"",		"",	"",	DISCARD,
    "@L{",		"}",	"L",		"",	"",	CHAR,
    "@O{",		"}",	"O/",		"",	"",	CHAR,
    "@OE{",		"}",	"\\(OE",	"",	"",	CHAR,
    "@SS{",		"}",	"SS",		"",	"",	CHAR,
    "@TeX{",		"}",	"TeX",		"",	"",	INPARA,
    "@`",		"",	"`",		"",	"",	ESCAPED,
    "@aa{",		"}",	"aa",		"",	"",	CHAR,
    "@ae{",		"}",	"\\(ae",	"",	"",	CHAR,
    "@appendix",	"\n",	
     "\n.if !\\n(_- \\{\\\n.nr _- 1\n.nr $1 0 1\n.af $1 A\\}\n.bp\n.ds __ ",
     "\n.sh 1 \\*(__ \n.(x \n\\n($1	\\*(__ \n.)x\n","\\fB",	HEADING,
    "@appendixsec",	"\n",	"\n.ds __ ",
	"\n.sh 2 \\*(__ \n.(x \n\\n($1.\\n($2      \\*(__ \n.)x\n",
							"\\fB",	HEADING,
    "@appendixsection",	"\n",	"\n.ds __ ",
	"\n.sh 2 \\*(__ \n.(x \n\\n($1.\\n($2      \\*(__ \n.)x\n",
							"\\fB",	HEADING,
    "@appendixsubsec",	"\n",	"\n.ds __ ",
	"\n.sh 3 \\*(__ \n.(x \n\\n($1.\\n($2.\\n($3    \\*(__ \n.)x\n",
							"\\fB",	HEADING,
    "@appendixsubsubsec","\n",	"\n.ds __ ",
	"\n.sh 4 \\*(__ \n.(x \n\\n($1.\\n($2.\\n($3.\\n($4  \\*(__ \n.)x\n",
							"\\fB",	HEADING,
    "@arrow",		"\n",	"\\(->",	"\n",	"",	CHAR,
    "@asis",		"\n",	"",		"\n",	"",	PARAGRAPH,
    "@asis{",		"}",	"",		"",	"",	INPARA,
    "@author",		"\n",	"\n.ce\n",	"\n",	"",	HEADING,
    "@author{",		"}",	"\n.ce\n",	"\n",	"",	HEADING,
    "@begingroup",	"\n",	"\n.(b\n",	"\n",	"",	PARAGRAPH,
    "@br",		"\n",	"\n.br\n.sp\n", "",	"",	PARAGRAPH,
    "@bullet{",		"}",	"\\(bu",	"",	"",	CHAR,
    "@bye",		"\n",	"",		"\n",	"",	DISCARD,
    "@b{",		"}",	"\\fB",		"",	"\\fB",	INPARA,
    "@c",		"\n",	"",		"\n",	"",	DISCARD,
    "@cartouche",	"@end",	"",		"",	"",	PARAGRAPH,
    "@center",		"\n",	"\n.ce\n",	"\n",	"",	HEADING,
    "@center{",		"}",	"\n.ce\n",	"",	"",	HEADING,
    "@chapter",		"\n",	"\n.bp\n.ds __ ",
	"\n.sh 1 \\*(__ \n.(x \n\\n($1	\\*(__ \n.)x\n","\\fB",	HEADING,
    "@chapheading",	"\n",	"\n.sp 6\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@cindex",		"\n",	"\n.iX \"c ",	"\"\n",	"",	INDEX,
    "@cite{",		"}",	"\\fI",		"",	"\\fI",	INPARA,
    "@clear",		"\n",	"",		"",	"",	CLEAR,
    "@cmindex",		"\n",	"\n.iX \"c ",	"\"\n",	"",	INDEX,
    "@code{",		"}",	"\\fR\\&\\f(CW","","\\fR\\&\\f(CW",INPARA,
    "@comment",		"\n",	"",		"\n",	"",	DISCARD,
    "@contents",	"\n",	"\n.nr % 0 1\n.af % i\n.bp \\n%+1\n",
	".ce\n\\fBTable of Contents\\fR\n.sp 2\n.xp \n","",INPARA,
    "@copyright{",	"}",	"\\(co",	"",	"",	CHAR,
    "@cropmarks",	"\n",	"",		"",	"",	DISCARD,
    "@ctrl{",		"}",	"\\fR\\&\\f(CW^","","\\fR\\&\\f(CW",INPARA,
    "@dag",		"}{",	"\\(dg",	"",	"",	CHAR,
    "@dag{",		"}",	"\\(dg",	"",	"",	CHAR,
    "@ddag",		"}{",	"\\(dd",	"",	"",	CHAR,
    "@ddag{",		"}",	"\\(dd",	"",	"",	CHAR,
    "@defcmd",		"@end", "\n.lp\n*\\ Command: ","","",	HEADING,
    "@defcmdx",		"\n", 	"\n.lp\n*\\ Command: ","\n.br\n","",HEADING,
    "@defcodeindex",	"\n",	"",		"",	"",	DISCARDLINE,
    /*	  @defcodeindex au */
    /*	  creates an '@auindex' command that indexes the line in code font */
    "@defconst",	"@end", "\n.lp\n*\\ Constant: ","","",	HEADING,
    "@defconstx",	"\n", 	"\n.lp\n*\\ Constant: ","\n.br\n","",HEADING,
    "@defcv",		"@end", "\n.lp\n*\\ Class Variable: ","","",	HEADING,
    "@defcvx",		"\n", 	"\n.lp\n*\\ Class Varaible: ","\n.br\n","",HEADING,
    "@deffn",		"@end", "\n.lp\n*\\ ",	"",	"",	HEADING,
    "@deffnx",		"\n", 	"\n.lp\n*\\ ",	"\n.br\n","",	HEADING,
    "@defindex",	"\n",	"",		"",	"",	DISCARDLINE,
    /*	  @defindex au */
    /*	  creates an '@auindex' command that indexes the line in roman font */
    "@defivar",		"@end", "\n.lp\n*\\ Instance Variable: ","","",	HEADING,
    "@defivarx",	"\n", 	"\n.lp\n*\\ Instance Variable: ","\n.br\n","",HEADING,
    "@defmac",		"@end", "\n.lp\n*\\ Macro: ","","",	HEADING,
    "@defmacx",		"\n", 	"\n.lp\n*\\ Macro: ","\n.br\n","",HEADING,
    "@defmethod",	"@end", "\n.lp\n*\\ Operation on ","","",HEADING,
    "@defmethodx",	"\n", 	"\n.lp\n*\\ Operation on ","\n.br\n",
							"",	HEADING,
    "@defop",		"@end", "\n.lp\n*\\ Class Operation on ","","",HEADING,
    "@defopx",		"\n", 	"\n.lp\n*\\ Class Operation on ","\n.br\n",
							"",	HEADING,
    "@defopt",		"@end", "\n.lp\n*\\ User Option: ","","",HEADING,
    "@defoptx",		"\n", 	"\n.lp\n*\\ User Option: ","\n.br\n",
							"",	HEADING,
    "@defspec",		"@end", "\n.lp\n*\\ Special Form: ","","",HEADING,
    "@defspecx",	"\n", 	"\n.lp\n*\\ Special Form: ","\n.br\n",
							"",	HEADING,
    "@deftp",		"@end", "\n.lp\n*\\ Type: ","","",	HEADING,
    "@deftpx",		"\n", 	"\n.lp\n*\\ Type: ","\n.br\n","",HEADING,
    "@deftypefn",	"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@deftypefnx",	"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@deftypefun",	"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@deftypefunx",	"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@deftypemethod",	"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@deftypemethodx",	"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@deftypevar",	"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@deftypevarx",	"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@deftypevr",	"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@deftypevrx",	"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@defun",		"@end", "\n.lp\n*\\ Function: ","","",	HEADING,
    "@defunx",		"\n", 	"\n.lp\n*\\ Function: ","\n.br\n","",HEADING,
    "@defvar",		"@end", "\n.lp\n*\\ Variable: ","","",	HEADING,
    "@defvarx",		"\n", 	"\n.lp\n*\\ Variable: ","\n.br\n","",HEADING,
    "@defvar{",		"}",	"\n.lp\n*\\ Variable: ","","",	HEADING,
    "@defvr",		"@end", "\n.lp\n*\\ Variable: ","","",	HEADING,
    "@defvrx",		"\n", 	"\n.lp\n*\\ Variable: ","\n.br\n","",HEADING,
    "@detailmenu",	"@end", "\n.(l I\n\\s8Detail Menu: \n",
					"\\s0\n.)l\n","",	DISPLAY,
    "@dfn{",		"}",	"\\fI",		"",	"\\fI",	INPARA,
    "@dircategory",	"\n",	"",		"",	"",	DISCARDLINE,
    "@direntry",	"@end",	"",		"",	"",	DISCARD,
    "@display",		"@end", "\n.(l I\n",	"\n.)l\n","",	DISPLAY,
    "@dotaccent{",	"}",	"",		"",	"\\*o",	INPARA,
    "@dotless{",	"}",	"",		"",	"",	INPARA,
    "@dots{",		"}",	"\\&...",	"",	"",	INPARA,
    "@down",		"\n",	"",		"\n",	"",	DISCARD,
    "@dmn{",		"}",	"",		"",	"",	INPARA,
    "@eject",		"\n",	"\n.bp\n",	"",	"",	PARAGRAPH,
    "@email{",		"}",	"\\fB",		"",	"\\fB",	INPARA,
    "@emph{",		"}",	"\\fI",		"",	"\\fI",	INPARA,
    "@end",		"\n",	"",	"\n.sp\n.in\n", "",	END,
    "@enddots{",	"}",	"....",		"",	"",	CHAR,
    "@endgroup",	"\n",	"",	"\n.)b\n",	"",	PARAGRAPH,
    "@enumerate",	"@end", "\n.(l L F\n.ba +5\n",
					"\n.ba -5\n.)l\n","",	ITEMIZING,
    "@equiv{",		"}",	"\\(==",	"",	"",	CHAR,
    "@error{",		"}",	"error->",	"",	"",	CHAR,
    "@example",		"@end", "\n.(l I\n\\fR\\&\\f(CW\n",
				"\n.)l\n","\\fR\\&\\f(CW",	DISPLAY,
    "@example{",	"}",	"\\fR\\&\\f(CW","","\\fR\\&\\f(CW",INPARA,
    "@exclamdown{",	"}",	"!",		"",	"",	CHAR,
    "@exdent",		"\n",	"\n.lp\n",	"\n",	"",	PARAGRAPH,
    "@expansion{",	"}",	"\\(->",	"",	"",	CHAR,
    "@file{",		"}",	"\\fR\\&\\f(CW\\(if",
				"\\(is","\\fR\\&\\f(CW",	INPARA,
    "@finalout",	"\n",	"",		"",	"",	DISCARD,
    "@findex",		"\n",	"\n.iX \"f ",	"\"\n",	"",	INDEX,
    "@flindex",		"\n",	"\n.iX \"c ",	"\"\n",	"",	INDEX,
    "@flushleft",	"@end",	"\n.br\n.ad l",	"\n.br\n.ad b\n","", HEADING,
    "@flushright",	"@end",	"\n.br\n.ad r",	"\n.br\n.ad b\n","", HEADING,
    "@footnotestyle",	"\n",	"",		"",	"",	DISCARD,
    "@footnote{",	"}",	"\n.(f \n",	"\n.)f\n","",	FOOTNOTE,
    "@format",		"@end", "\n.(l I\n",	"\n.)l\n","",	DISPLAY,
    "@ftable",		"@end", "\n.(l L F\n.ba +5\n",
					"\n.ba -5\n.)l\n","",	ITEMIZING,
    "@group",		"@end", "\n.(b\n",	"\n.)b\n","",	PARAGRAPH,
    "@heading",		"\n",	"\n.bp\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@headings",	"\n",	"",		"",	"",	DISCARD,
    "@hrule",		"\n",	"",		"\n",	"",	DISCARD,
    "@iappendix",	"\n",	"\n.bp\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@iappendixsec",	"\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@iappendixsection", "\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@iappendixsubsec",	"\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@iappendixsubsection", "\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@iappendixsubsubsec", "\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@ichapter",	"\n",	"\n.bp\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@ifclear",		"@end", "",		"",	"",	IFCLEAR,
    "@ifinfo",		"@end", "\n",		"\n",	"",	PARAGRAPH, 
    "@ifset",		"@end", "",		"",	"",	IFSET,
    "@iftex",		"@end", "",		"",	"",	PARAGRAPH,
    "@ignore",		"@end", "",		"",	"",	DISCARD,
    "@include",		"\n",	"",		"",	"",	INCLUDE,
    "@inforef{",	"}",	"See Info file ","",	"",	PARAGRAPH,
    "@input",		"\n",	"",		"",	"",	INCLUDE,
    "@isection",	"\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@isubsection",	"\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@isubsubsection",	"\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@item",		"\n",	"\n.ip ",	"\\ \n","",	ITEM,
    "@itemize",		"@end", "\n.(l L F\n.ba +5\n",
					"\n.ba -5\n.)l\n","",	ITEMIZING,
    "@itemx",		"\n",	"\n.ip ",	"\\ \n","",	ITEM,
    "@iunnumbered",	"\n", 	"\n.bp\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@iunnumberedsec",	"\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@iunnumberedsubsec","\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@iunnumberedsubsubsec","\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@i{",		"}",	"\\fI",		"",	"\\fI",	INPARA,
    "@kbd{",		"}",	"\\fR\\&\\f(CW","","\\fR\\&\\f(CW",INPARA,
    "@key{",		"}",	"\\fR\\&\\f(CW","","\\fR\\&\\f(CW",INPARA,
    "@kindex",		"\n",	"\n.iX \"k ",	"\"\n",	"",	INDEX,
    "@l{",		"}",	"l",		"",	"",	CHAR,
    "@lisp",		"@end",	"\\fR\\&\\f(CW","","\\fR\\&\\f(CW",INPARA,
    "@lowersections",	"\n",	"",		"\n",	"",	DISCARD,
    "@majorheading",	"\n",	"\n.sp 4\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@math{",		"}",	"\\fR\\&\\f(CW","","\\fR\\&\\f(CW",INPARA,
    "@menu",		"@end", "\n.(l I\n\\s8Menu: \n",
					"\\s0\n.)l\n","",	DISPLAY,
    "@minus{",		"}",	"\\-",		"",	"",	CHAR,
    "@multitable",	"@end", "\n.(l L F\n.ba +5\n",
					"\n.ba -5\n.)l\n","",	ITEMIZING,
    "@need",		"\n",	"",		"\n",	"",	DISCARD,
    "@node",		"\n", 	"\n.lp\n\\s8Node:",
					"\\s0\n.br\n","",	PARAGRAPH,
    "@noindent",	"\n",	"\n.lp\n",	"",	"",	PARAGRAPH,
    "@nwnode",		"\n", 	"\n.lp\n\\s8Node:",
					"\\s0\n.br\n","",	PARAGRAPH,
    "@o{",		"}",	"o/",		"",	"",	CHAR,
    "@obeylines",	"\n",	"",		"\n",	"",	DISCARD,
    "@oe{",		"}",	"\\(oe",	"",	"",	CHAR,
    "@opindex",		"\n",	"\n.iX \"c ",	"\"\n",	"",	INDEX,
    "@overfullrule",	"\n",	"",		"\n",	"",	DISCARD,
    "@page",		"\n",	"\n.bp\n",	"",	"",	PARAGRAPH,
    "@paragraphindent",	"\n",	"",		"",	"",	DISCARD,
    "@pindex",		"\n",	"\n.iX \"p ",	"\"\n",	"",	INDEX,
    "@point{",		"}",	"*",		"",	"",	CHAR,
    "@pounds{",		"}",	"#",		"",	"",	CHAR,
    "@printindex",	"\n",	"",		"\n",	"",	DISCARD,
    "@prints{",		"}",	"-|",		"",	"",	CHAR,
    "@print{",		"}",	"-|",		"",	"",	CHAR,
    "@pxref{",		"}",	"see section  ","",	"",	PARAGRAPH,
    "@quad",		"\n",	"",		"\n",	"",	DISCARD,
    "@questiondown{",	"}",	"?",		"",	"",	CHAR,
    "@quotation",	"@end", "\n.(q\n.nh\n", "\n.)q\n","",	DISPLAY,
    "@quote{",		"}",	"\"",		"\"",	"",	INPARA,
    "@raisesections",	"\n",	"",		"\n",	"",	DISCARD,
    "@refill",		"\n",	"",		"\n",	"",	DISCARD,
    "@ref{",		"}",	"\\(if",	"\\(is","",	INPARA,
    "@result",		"\n",	"\\(rh",	"\n",	"",	CHAR,
    "@result{",		"}",	"\\(rh",	"",	"",	CHAR,
    "@ringaccent{",	"}",	"",		"",	"\\*o",	INPARA,
    "@r{",		"}",	"\\fR",		"",	"\\fR",	INPARA,
    "@samp{",		"}",	"\\fR\\&\\f(CW\\(if", "\\(is",
						"\\fR\\&\\f(CW",INPARA,
    "@sc{",		"}",	"\\fB",		"",	"\\fB",	INPARA,
    "@section",		"\n",	"\n.ds __ ",
     "\n.sh 2 \\*(__ \n.(x \n\\n($1.\\n($2      \\*(__ \n.)x\n",
							"\\fB",	HEADING,
    "@set",		"\n",	"",		"",	"",	SET,
    "@setchapternewpage","\n",	"",		"\n",	"",	DISCARD,
    "@setchapternewstyle","\n",	"",		"\n",	"",	DISCARD,
    "@setchapterstyle",	"\n",	"",		"\n",	"",	DISCARD,
    "@setfilename",	"\n",	"",		"\n",	"",	DISCARD,
    "@settitle",	"\n",	"\n.ds St ",
		"\n.oh '\\\\*(St''%'\n.eh '%''\\\\*(St'\n","",	HEADING,
    "@shortcontents",	"\n",	"\n.nr % 0 1\n.af % i\n.bp \\n%+1\n",
	".ce\n\\fBTable of Contents\\fR\n.sp 2\n.xp \n","",	INPARA,
    "@shorttitlepage",	"\n",	"",		"",	"",	DISCARD,
    "@smallbook",	"\n",	"",		"",	"",	DISCARD,
    "@smallexample",	"@end", "\n.(l I\n\\fR\\&\\f(CW\n",
				"\n.)l\n",	"\\fR\\&\\f(CW",DISPLAY,
    "@smalllisp",	"@end",	"\\fR\\&\\f(CW","","\\fR\\&\\f(CW",INPARA,
    "@sp",		"\n",	"\n.sp",	"\n",	"",	PARAGRAPH,
    "@sp2",		"\n",	"\n.sp 2",	"\n",	"",	PARAGRAPH,
    "@ss{",		"}",	"ss",		"",	"",	CHAR,
    "@strong{",		"}",	"\\fB",		"",	"\\fB",	INPARA,
    "@subheading",	"\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@subsection",	"\n",	"\n.ds __ ",
	"\n.sh 3 \\*(__ \n.(x \n\\n($1.\\n($2.\\n($3    \\*(__ \n.)x\n",
							"\\fB",	HEADING,
    "@subsubheading",	"\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@subsubsection",	"\n",	"\n.ds __ ",
      "\n.sh 4 \\*(__ \n.(x \n\\n($1.\\n($2.\\n($3.\\n($4  \\*(__ \n.)x\n",
							"\\fB",	HEADING,
    "@subtext",		"\n",	"\n.ce\n",	"\n",	"",	HEADING,
    "@subtitle",	"\n",	"\n.ce\n",	"\n",	"",	HEADING,
    "@subtitle{",	"}",	"\n.ce\n",	"\n",	"",	HEADING,
    "@summarycontents",	"\n",	"\n.nr % 0 1\n.af % i\n.bp \\n%+1\n",
	".ce\n\\fBTable of Contents\\fR\n.sp 2\n.xp \n","",	INPARA,
    "@syncodeindex",	"\n",	"",		"\n",	"",	DISCARD,
    "@synindex",	"\n",	"",		"\n",	"",	DISCARD,
    "@t",		"\n",	"\t",		"\n",	"",	CHAR,
    "@tab",		"",	"\t",		"",	"",	ESCAPED,
    "@table",		"@end", "\n.(l L F\n.ba +5\n",
					"\n.ba -5\n.)l\n","",	ITEMIZING,
    "@tex",		"@end", "",		"",	"",	DISCARD,
    "@tex{",		"}", 	"",		"",	"",	DISCARD,
    "@tieaccent{",	"}",	"",		"-",	"",	INPARA,
    "@today{",		"}",	"-DATE-",	"",	"",	PARAGRAPH,
    "@top",		"\n", 	"\n.lp\n\\s8Top:",
					"\\s0\n.br\n","",	PARAGRAPH,
    "@tindex",		"\n",	"\n.iX \"t ",	"\"\n",	"",	INDEX,
    "@title",		"\n",	"\n.ce\n",	"\n",	"",	HEADING,
    "@titlefont{",	"}",	"\n.sz +10\n.ce\n",
						"\n.sz -10\n","",PARAGRAPH,
    "@titlepage",	"@end", "\n.tp\n",	"\n.bp\n","",	PARAGRAPH,
    "@titlespec",	"@end", "\n.tp\n.ce \n\\&\\*(St \n",
						"\n",	"",	PARAGRAPH,
    "@title{",		"}",	"\n.ce\n",	"\n",	"",	HEADING,
    "@tt{",		"}",	"\\fR\\&\\f(CW","","\\fR\\&\\f(CW",INPARA,
    "@t{",		"}",	"\\fR\\&\\f(CW","","\\fR\\&\\f(CW",INPARA,
    "@ubaraccent{",	"}",	"",		"-",	"",	INPARA,
    "@udotaccent{",	"}",	"",		".",	"",	INPARA,
    "@unnumbered",	"\n",	"\n.bp\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@unnumberedsec",	"\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@unnumberedsubsec","\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@unnumberedsubsubsec","\n","\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n","\\fB",	HEADING,
    "@up",		"\n",	"",		"\n",	"",	DISCARD,
    "@url{",		"}",	"\\fB",		"",	"\\fB",	INPARA,
    "@u{",		"}",	"",		"-",	"",	INPARA,
    "@value{",		"}",	"",		"",	"",	VALUE,
    "@var{",		"}",	"\\fI",		"",	"\\fI",	INPARA,
    "@vfil", 		"\n",	"",		"\n",	"",	DISCARD,
    "@vindex",		"\n",	"\n.iX \"v ",	"\"\n",	"",	INDEX,
    "@vskip",		"\n",	"",		"\n",	"",	DISCARD,
    "@vtable",		"@end", "\n.(l L F\n.ba +5\n",
					"\n.ba -5\n.)l\n","",	ITEMIZING,
    "@v{",		"}",	"",		"\\*v",	"",	INPARA,
    "@w{",		"}",	"\n\\! ",	"\n",	"",	INPARA,
    "@widen{",		"}",	"",		"\n",	"",	DISCARD,
    "@xref{",		"}",	"See section ",	"",	"",	PARAGRAPH,
    "@{",		"",	"{",		"",	"",	ESCAPED,
    "@}",		"",	"}",		"",	"",	ESCAPED,

    "@\"a",		"",	"",		"a\\*:","",	ESCAPED,
    "@\"e",		"",	"",		"e\\*:","",	ESCAPED,
    "@\"i",		"",	"",		"i\\*:","",	ESCAPED,
    "@\"o",		"",	"",		"o\\*:","",	ESCAPED,
    "@\"u",		"",	"",		"u\\*:","",	ESCAPED,
    "@\"y",		"",	"",		"y\\*:","",	ESCAPED,
    "@\"A",		"",	"",		"A\\*:","",	ESCAPED,
    "@\"E",		"",	"",		"E\\*:","",	ESCAPED,
    "@\"I",		"",	"",		"I\\*:","",	ESCAPED,
    "@\"O",		"",	"",		"O\\*:","",	ESCAPED,
    "@\"U",		"",	"",		"U\\*:","",	ESCAPED,
    "@\"Y",		"",	"",		"Y\\*:","",	ESCAPED,

    "@'a",		"",	"",		"a\\*'","",	ESCAPED,
    "@'e",		"",	"",		"e\\*'","",	ESCAPED,
    "@'i",		"",	"",		"i\\*'","",	ESCAPED,
    "@'o",		"",	"",		"o\\*'","",	ESCAPED,
    "@'u",		"",	"",		"u\\*'","",	ESCAPED,
    "@'y",		"",	"",		"y\\*'","",	ESCAPED,
    "@'A",		"",	"",		"A\\*'","",	ESCAPED,
    "@'E",		"",	"",		"E\\*'","",	ESCAPED,
    "@'I",		"",	"",		"I\\*'","",	ESCAPED,
    "@'O",		"",	"",		"O\\*'","",	ESCAPED,
    "@'U",		"",	"",		"U\\*'","",	ESCAPED,
    "@'Y",		"",	"",		"Y\\*'","",	ESCAPED,

    "@`a",		"",	"",		"a\\*`","",	ESCAPED,
    "@`e",		"",	"",		"e\\*`","",	ESCAPED,
    "@`i",		"",	"",		"i\\*`","",	ESCAPED,
    "@`o",		"",	"",		"o\\*`","",	ESCAPED,
    "@`u",		"",	"",		"u\\*`","",	ESCAPED,
    "@`y",		"",	"",		"y\\*`","",	ESCAPED,
    "@`A",		"",	"",		"A\\*`","",	ESCAPED,
    "@`E",		"",	"",		"E\\*`","",	ESCAPED,
    "@`I",		"",	"",		"I\\*`","",	ESCAPED,
    "@`O",		"",	"",		"O\\*`","",	ESCAPED,
    "@`U",		"",	"",		"U\\*`","",	ESCAPED,
    "@`Y",		"",	"",		"Y\\*`","",	ESCAPED,

    "@=o",		"",	"=o",		"",	"",	ESCAPED,

    "@^a",		"",	"",		"a\\*^","",	ESCAPED,
    "@^e",		"",	"",		"e\\*^","",	ESCAPED,
    "@^i",		"",	"",		"i\\*^","",	ESCAPED,
    "@^o",		"",	"",		"o\\*^","",	ESCAPED,
    "@^u",		"",	"",		"u\\*^","",	ESCAPED,
    "@^y",		"",	"",		"y\\*^","",	ESCAPED,
    "@^A",		"",	"",		"A\\*^","",	ESCAPED,
    "@^E",		"",	"",		"E\\*^","",	ESCAPED,
    "@^I",		"",	"",		"I\\*^","",	ESCAPED,
    "@^O",		"",	"",		"O\\*^","",	ESCAPED,
    "@^U",		"",	"",		"U\\*^","",	ESCAPED,
    "@^Y",		"",	"",		"Y\\*^","",	ESCAPED,

    "@~N",		"",	"",		"N\\*~","",	ESCAPED,
    "@~n",		"",	"",		"n\\*~","",	ESCAPED,

    "@~a",		"",	"",		"a\\*~","",	ESCAPED,
    "@~e",		"",	"",		"e\\*~","",	ESCAPED,
    "@~i",		"",	"",		"i\\*~","",	ESCAPED,
    "@~o",		"",	"",		"o\\*~","",	ESCAPED,
    "@~u",		"",	"",		"u\\*~","",	ESCAPED,
    "@~y",		"",	"",		"y\\*~","",	ESCAPED,
    "@~A",		"",	"",		"A\\*~","",	ESCAPED,
    "@~E",		"",	"",		"E\\*~","",	ESCAPED,
    "@~I",		"",	"",		"I\\*~","",	ESCAPED,
    "@~O",		"",	"",		"O\\*~","",	ESCAPED,
    "@~U",		"",	"",		"U\\*~","",	ESCAPED,
    "@~Y",		"",	"",		"Y\\*~","",	ESCAPED,

    "@,{",		"}",	"",		"\\*,",	"",	INPARA
};
